Obtenir le résumé d'un profil client (RGPD — PII minimisées)
GET
/v1/guests/{id}
const url = 'https://example.com/v1/guests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/guests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » id
required
string format: uuid
Identifiant du profil client
Responses
Section intitulée « Responses »Résumé du profil (lastName, vip, langue, type, anonymized)
Media type application/json
object
data
required
object
id
string format: uuid
lastName
string
isVip
boolean
preferredLanguage
string
customerType
string
isAnonymized
boolean
Example generated
{ "data": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "lastName": "example", "isVip": true, "preferredLanguage": "example", "customerType": "example", "isAnonymized": true }}Profil introuvable
Media type application/json
object
code
required
Code machine de l’erreur
string
message
required
Message lisible
string
origin
Origine domaine de l’erreur (optionnel)
object
boundedContext
string
module
string
status
required
integer
traceId
required
Identifiant de corrélation pour le support
string
Example
{ "code": "RESERVATION_NOT_FOUND", "message": "Réservation introuvable", "status": 404}